### Method

# Phosh NotifyManager add_shell_notification

#### Declaration [src]

    guint
    phosh_notify_manager_add_shell_notification (
      PhoshNotifyManager* self,
      const char* summary,
      const char* body,
      const char* icon,
      int expire_timeout
    )

#### Description

No description available.

#### Parameters

`summary`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`icon`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expire_timeout`

  Type: `int`

  No description available.

#### Return value

Type: `guint`

No description available.